Get
Retrieve a config instance by ID.
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-05-06.rainier"
Path Parameters
The unique identifier of the config instance.
"cfg_inst_123"
Query Parameters
Fields to expand on the config instance resource.
content, config_schema, config_type Response
Successfully retrieved the config instance.
The object type, which is always config_instance.
config_instance "config_instance"
ID of the config instance.
"cfg_inst_123"
The name of the config type.
"Motion Control"
The absolute file system path where this config instance is written.
"/srv/miru/configs/v1/motion-control.json"
The timestamp of when the config instance was created.
"2021-01-01T00:00:00Z"
ID of the config schema which the config instance must adhere to.
"cfg_sch_123"
ID of the config type which the config instance (and its schema) is a part of.
"cfg_type_123"
Expand the config schema using 'expand=config_schema' in the query string.
Expand the config type using 'expand=config_type' in the query string.
The configuration values associated with the config instance. Expand the content using 'expand=content' in the query string.

